Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.FullTextSearch Class Reference
Inheritance diagram for FoxitPDFSDKPython2.FullTextSearch:

## Public Member Functions
def | FullTextSearch ()
| Constructor.
def | FullTextSearch (other)
| Constructor, with another full text search object. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SearchOf (match_string, rank_mode, callback)
| Search for specified text among the indexed PDF files. More...
def | SetDataBasePath (path_of_data_base)
| Set a file path as sqlite data base which is used for storing the indexed data. More...
def | StartUpdateIndex (source, pause, reupdate)
| Start to update the index of PDF files defined in a documents source object. More...
def | UpdateIndexWithFilePath (file_path)
| Update the index result of a specified PDF file. More...

## Static Public Attributes
| e_RankHitCountASC = _fsdk.FullTextSearch_e_RankHitCountASC
| Rank the searching results according to how the result matches the expected searching patten, in ascending order (from less similar to most similar or the same).
| e_RankHitCountDESC = _fsdk.FullTextSearch_e_RankHitCountDESC
| Rank the searching results according to how the result matches the expected searching patten, in descending order (from the same or most similar to less similar).
| e_RankNone = _fsdk.FullTextSearch_e_RankNone
| No ranking mode is used for searching results.

## Detailed Description

This class is used to index some PDF files and then search specified text among these indexed PDF files.

## Constructor & Destructor Documentation

## ◆ FullTextSearch()

def FoxitPDFSDKPython2.FullTextSearch.FullTextSearch | ( |  | other | ) |

Constructor, with another full text search object.

Parameters

  [in] | other | Another full text search object.

## Member Function Documentation

## ◆ IsEmpty()

def FoxitPDFSDKPython2.FullTextSearch.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SearchOf()

def FoxitPDFSDKPython2.FullTextSearch.SearchOf | ( |  | match_string,
|  |  | rank_mode,
|  |  | callback
| ) |  |

Search for specified text among the indexed PDF files.

This function can be used to search among several PDF files, which have been indexed by function FoxitPDFSDKPython2.FullTextSearch.StartUpdateIndex or FoxitPDFSDKPython2.FullTextSearch.UpdateIndexWithFilePath . The searching result will be returned through callback function FoxitPDFSDKPython2.SearchCallback.RetrieveSearchResult , in specified ranking mode.

Parameters

  [in] | match_string | A string to be searched. It should not be an empty string and should be UTF-8 encoding.
  [in] | rank_mode | The ranking mode used for searching results. Please refer to values starting from FoxitPDFSDKPython2.FullTextSearch.e_RankNone and this should be one of these values.
  [in] | callback | A SearchCallback object. It should not be null. User should implement it and use it to retrieve the searching results.

Returns
  true means success, while false means failure.

## ◆ SetDataBasePath()

def FoxitPDFSDKPython2.FullTextSearch.SetDataBasePath | ( |  | path_of_data_base | ) |

Set a file path as sqlite data base which is used for storing the indexed data.

This function is only useful before updating the index of PDF files for the first time by function FoxitPDFSDKPython2.FullTextSearch.StartUpdateIndex or FoxitPDFSDKPython2.FullTextSearch.UpdateIndexWithFilePath . Once the updating has been done, this function will be useless.
If this function has never called for current full text search object successfully, the default file for sqlite data would be named as "fts.db" and located with application file.

Parameters

  [in] | path_of_data_base | A file path to specify a file as sqlite data base. It should not be an empty string and should be UTF-8 encoding.

Returns
  None.

## ◆ StartUpdateIndex()

def FoxitPDFSDKPython2.FullTextSearch.StartUpdateIndex | ( |  | source,
|  |  | pause,
|  |  | reupdate
| ) |  |

Start to update the index of PDF files defined in a documents source object.

It may take a long time to do this updating, so Foxit PDF SDK uses a progressive process to do this.
Only PDF files under the specified directory (including sub-directory) defined in documents source can be indexed. The index of PDF files in the database that are not located in the specified directory (including sub-directory) defined in the document source will be deleted.

Parameters

  [in] | source | A documents source object, which defines a directory to be indexed.
  [in] | pause | Pause callback object which decides if the updating process needs to be paused. This can be null which means not to pause during the updating process. If this is not null, it should be a valid pause object implemented by user. Default value: null.
  [in] | reupdate | true means to re-update the existing index information in the database, and false means not to re-update the existing index information in the database. Default value: false.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ UpdateIndexWithFilePath()

def FoxitPDFSDKPython2.FullTextSearch.UpdateIndexWithFilePath | ( |  | file_path | ) |

Update the index result of a specified PDF file.

This function can be used to update the index result of a single PDF file.

Parameters

  [in] | file_path | An existed PDF file path. It should not be an empty string and should be UTF-8 encoding.

Returns
  true means success, while false means failure.